NodeRings Docs

Get Dashboard Billing Sales

GET
/v1/provider/dashboard/billing-sales
Authorization<token>

Bearer token

In: header

X-Organization-ID<token>

Tenant or organization identifier

In: header

Query Parameters

rangeDays?integer
Formatint32
includePriorPeriod?boolean
revenueByCustomerPage?integer

Revenue-by-customer table (1-based page). Omit for defaults (page 1, page size 25).

Formatint32
revenueByCustomerPageSize?integer
Formatint32
revenueByCustomerEmailFilter?string

Case-insensitive substring match on contact email, organization id, or organization name.

Response Body

application/json

curl -X GET "https://api.nrings.io/v1/provider/dashboard/billing-sales?rangeDays&includePriorPeriod&revenueByCustomerPage&revenueByCustomerPageSize&revenueByCustomerEmailFilter" \  -H "Authorization: Bearer {your_token}" \  -H "X-Organization-ID: {your_org_id}"
{
  "currency": "string",
  "days": [
    {
      "day": "string",
      "planSlices": [
        {
          "productKey": "string",
          "productLabel": "string",
          "amount": "string"
        }
      ],
      "addonSlices": [
        {
          "productKey": "string",
          "productLabel": "string",
          "amount": "string"
        }
      ],
      "priorPeriodDay": "string",
      "priorPeriodTotalAmount": "string",
      "planSlicesByPlanCode": [
        {
          "productKey": "string",
          "productLabel": "string",
          "amount": "string"
        }
      ]
    }
  ],
  "totalFixedBillingSalesAmount": "string",
  "totalUsageBillingSalesAmount": "string",
  "revenueByCustomer": [
    {
      "organizationId": "string",
      "organizationName": "string",
      "totalAmount": "string",
      "contactEmail": "string"
    }
  ],
  "commercialHealth": {
    "distinctPayingTenantCount": 0,
    "paidInvoiceCount": 0,
    "outstandingOpenAmount": "string",
    "outstandingPastDueAmount": "string",
    "outstandingOpenInvoiceCount": 0,
    "outstandingPastDueInvoiceCount": 0
  },
  "revenueByCustomerTotalCount": 0,
  "revenueByCustomerWindowTotal": 0
}